### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Public Attributes
Sample< T > Struct Template Reference
Monte Carlo framework

weighted sample More...

`#include <ql/methods/montecarlo/sample.hpp>`

List of all members.

## Public Types

typedef T | value_type

## Public Member Functions

| Sample (const T &value, Real weight)

## Public Attributes

T | value
Real | weight

## Detailed Description

### template<class T>
struct QuantLib::Sample< T >

weighted sample